<?php
namespace App\Traits;
use Symfony\Component\HttpFoundation\Response;

trait ApiResponseTrait{

    protected function sendApiResponse($data, $message = null, $code = 200,$http_code = Response::HTTP_OK)
    {
        return response()->json([
            'status_code'=> $code,
            'message' => $message,
            'data' => $data,
        ],$http_code);
    }



}
